# Maintainer: Cheeto <mprussell836@gmail.com>
pkgname=initiative-tracker-git
pkgver=1.0.2
pkgrel=1
pkgdesc="application for tracking initiative order in DND"
arch=('x86_64')
url="https://gitlab.com/cheesy-software/dnd-utilities/initiative-tracker"
license=('MIT')
depends=('qt5-base')
makedepends=('git'
             'cmake')
provides=("initiative-tracker")
conflicts=("initiative-tracker")
source=("$pkgname-$pkgver::git+${url}.git")
md5sums=('SKIP')

prepare() {
  cd "$srcdir/$pkgname-$pkgver"
  git submodule update --init --recursive
}

build() {
  cd "$pkgname-$pkgver"
  cmake -B build -S src -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_INSTALL_RPATH=YES
  make -C build
}

package() {
  cd "$pkgname-$pkgver"
  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
  make -C build DESTDIR="$pkgdir/" install
}
